Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class ASTHas

    java.lang.Object
      org.jboss.aop.pointcut.ast.SimpleNode
          org.jboss.aop.pointcut.ast.ASTHas

All Implemented Interfaces:
  Node

public class ASTHas
extends SimpleNode

Field Summary

Fields inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTHas(int id)`
`ASTHas(PointcutExpressionParser p, int id)`

Method Summary
`Object` | `jjtAccept(PointcutExpressionParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `jjtAccept(TypeExpressionParserVisitor visitor, Object data)` Accept the visitor.

Methods inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`childrenAccept, childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTHas

    public ASTHas(int id)

### ASTHas

    public ASTHas(PointcutExpressionParser p,
                  int id)

Method Detail

### jjtAccept

    public Object jjtAccept(PointcutExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAccept

    public Object jjtAccept(TypeExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.